summaryrefslogtreecommitdiffstats
path: root/ci/02-maasdeploy.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-06-11 08:19:47 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-06-11 08:34:26 -0500
commitd9cc2ea309e1ebd80402b6be79b6cde821cdc45f (patch)
treef34873ea8014ef4a4e1be20438f9a9afd6dfcc57 /ci/02-maasdeploy.sh
parent8f24bb1e13e300a54e168d0dc9897a25f105190b (diff)
modified to use admin network gateway for onos.
Change-Id: I3fd9e36673adcc7ccd4e6b8ea520da92cc8f6ba8 Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/02-maasdeploy.sh')
-rwxr-xr-xci/02-maasdeploy.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/ci/02-maasdeploy.sh b/ci/02-maasdeploy.sh
index e3bc99ff..7214719d 100755
--- a/ci/02-maasdeploy.sh
+++ b/ci/02-maasdeploy.sh
@@ -251,6 +251,7 @@ enable_if(){
enableiflist=`grep "interface-enable" deployconfig.yaml | cut -d ' ' -f 4 `
datanet=`grep "dataNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
stornet=`grep "storageNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
+ pubnet=`grep "publicNetwork" deployconfig.yaml | cut -d ' ' -f 4 | sed -e 's/ //'`
# split EXTERNAL_NETWORK=first ip;last ip; gateway;network
@@ -272,6 +273,15 @@ enable_if(){
i=$[$i+1]
done
fi
+ if [ "$pubnet" != "''" ]; then
+ EXTNET=(${enableiflist//,/ })
+ i="0"
+ while [ ! -z "${EXTNET[i]}" ];
+ do
+ echo enableautomode ${EXTNET[i]} AUTO $pubnet || true
+ i=$[$i+1]
+ done
+ fi
fi
}